<?php
/**
 *  Copyright (C) Prestalia - All Rights Reserved
 *  Unauthorized copying of this file, via any medium is strictly prohibited
 *  Proprietary and confidential
 *
 *  @author    Prestalia <prestalia.it>
 *  @copyright 2019 - 2024 Prestalia
 *  @license   Commercial
 */
if (!defined('_PS_VERSION_')) {
    exit;
}

class SniperLandingLink extends Link
{
    public function getSniperLandingLink($idShop, $idLang, $idLanding)
    {
        $mainUrl = $this->getBaseLink($idShop) . $this->getLangLink($idLang, null, $idShop);
        $params = [];
        $params['id_landing'] = $idLanding;
        $sql = 'SELECT link_rewrite
            FROM ' . _DB_PREFIX_ . 'sniperfast_landing
            WHERE id_landing = ' . (int) $idLanding .
            ' AND id_shop = ' . (int) $idShop .
            ' AND id_lang = ' . (int) $idLang;
        $rewrite = Db::getInstance()->getValue($sql);
        $params['rewrite'] = $rewrite;
        $rewriteSettings = (bool) Configuration::get('PS_REWRITING_SETTINGS');

        return $mainUrl . Dispatcher::getInstance()->createUrl(
            'module-sniperfast',
            $idLang,
            $params,
            $rewriteSettings,
            '',
            $idShop
        );
    }
}
