{**
*  Copyright (C) Prestalia - All Rights Reserved
*  Unauthorized copying of this file, via any medium is strictly prohibited
*  Proprietary and confidential
*
*  @author    Prestalia <prestalia.it>
*  @copyright 2019 - 2024 Prestalia
*  @license   Commercial
*}
<script type="text/javascript">
    var sniper_shop_id = "{$sniper_shop_id|escape:'htmlall':'UTF-8'}";
    var sniper_shop_lang = "{$sniper_shop_lang|escape:'htmlall':'UTF-8'}";
    var sniper_ps_version = "{$sniper_ps_version|escape:'htmlall':'UTF-8'}";
    var sniper_module_version = "{$module_version|escape:'htmlall':'UTF-8'}";
    var sniper_token = "{$sniper_token|escape:'htmlall':'UTF-8'}";
    var sniper_data_success = "{l s='Indexing request sent' mod='sniperfast'}";
    var sniper_data_error = "{l s='Indexing request error' mod='sniperfast'}";
    var sniper_idjob_success = "{l s='ID request saved' mod='sniperfast'}";
    var sniper_idjob_error = "{l s='ID request save error' mod='sniperfast'}";
    var sniper_search_url = "{$sniper_search_url|escape:'htmlall':'UTF-8'}";
    var sniper_key = "{$sniper_key|escape:'htmlall':'UTF-8'}";
    var sniper_index_name = "{$sniper_index_name|escape:'htmlall':'UTF-8'}";
    var last_job_id = "{$last_job_id|escape:'htmlall':'UTF-8'}";
    var sniper_source_ip = "{$sniper_source_ip|escape:'htmlall':'UTF-8'}";
    var sniper_bar_lookup = "{$sniper_bar_lookup|escape:'htmlall':'UTF-8'}";
    var sniper_flags = "{$sniper_flags|escape:'htmlall':'UTF-8'}";
    var sniper_config_changed = "{$sniper_config_changed|escape:'htmlall':'UTF-8'}";
    var requires_conversion = {$requires_conversion|escape:'htmlall':'UTF-8'};
    var sniperfast_lang_iso_code = "{$sniperfast_lang_iso_code|escape:'htmlall':'UTF-8'}";
    var sniper_data_saved = "{l s='Data saved' mod='sniperfast'}";
    var sniper_data_save_error = "{l s='Data save error' mod='sniperfast'}";
    var sniper_data_nostats = "{l s='No data available. Wait at least 24 hours' mod='sniperfast'}";
    var sniper_data_iperr = "{l s='One ore more IP is not valid' mod='sniperfast'}";
    var sniper_data_ipok = "{l s='Valid IPs saved' mod='sniperfast'}";
    var sniper_account_ok = "{l s='Account created' mod='sniperfast'}";
    var sniper_account_error = "{l s='Account creation error. Contact support' mod='sniperfast'}";
    var sniper_version_news = "{l s='NEWS!' mod='sniperfast'}";
    var sniper_version_warning = "{l s='A new update is available. The latest version is:' mod='sniperfast'}";
    var sniper_confirm_conversion = "{l s='Do you really want to convert the index? This operation can\'t be undone.' mod='sniperfast'}";
    var sniper_confirm_action = "{l s='Do you really want to proceed? This operation can\'t be undone.' mod='sniperfast'}";
</script>

<div class="sniperfast-lang-selector">
    <div id="sniper_lang_block">
        <label class="control-label">{l s='Website language' mod='sniperfast'}</label>
        <select name="lang" id="lang-selector">
            {foreach $langs as $lang}
                <option value="{$lang.id|escape:'htmlall':'UTF-8'}" {if $lang.selected}selected="selected"{/if}>{$lang.name|escape:'htmlall':'UTF-8'}</option>
            {/foreach}
        </select>
    </div>
    <div id="sniper_config_changed" class="sniper_hidden"><span class="sniper_warning">{l s='WARNING' mod='sniperfast'}</span>: {l s='the module\'s configuration was changed. These changes will appear only after exporting a new feed from the Export tab.' mod='sniperfast'}</div>
</div>

<div id="sniperfast-container" class="clearfix sniperfast-container" data-container-sniperfast="main">
     <div id="sniperfast-groupleft-menu" class="col-lg-2 sniperfast-sticky">
        <div class="list-group left_menu sniperfast-container-tabs">
            <a href="#general" class="list-group-item {if $tab == 'general' or $tab == ''}active{/if}" data-toggle="tab" data-tab-sniperfast="1">
            <i class="icon-cogs"></i> {l s='General' mod='sniperfast'}</a>
            {if $licenseExists}
                <a href="#landing" class="list-group-item {if $tab == 'landing'}active{/if}" data-toggle="tab" data-tab-sniperfast="15">
                <i class="icon-plane"></i> {l s='Landing pages' mod='sniperfast'}</a>
                <a href="#features" class="list-group-item {if $tab == 'features'}active{/if}" data-toggle="tab" data-tab-sniperfast="2">
                <i class="icon-wrench"></i> {l s='Features' mod='sniperfast'}</a>
                <a href="#attributes" class="list-group-item {if $tab == 'attributes'}active{/if}" data-toggle="tab" data-tab-sniperfast="3">
                <i class="icon-list-ul"></i> {l s='Attributes' mod='sniperfast'}</a>
                <a href="#products" class="list-group-item {if $tab == 'products'}active{/if}" data-toggle="tab" data-tab-sniperfast="6">
                <i class="icon-align-justify"></i> {l s='Products' mod='sniperfast'}</a>
                <a href="#categories" class="list-group-item {if $tab == 'categories'}active{/if}" data-toggle="tab" data-tab-sniperfast="7">
                <i class="icon-tags"></i> {l s='Categories' mod='sniperfast'}</a>
                <a href="#manufacturers" class="list-group-item {if $tab == 'manufacturers'}active{/if}" data-toggle="tab" data-tab-sniperfast="8">
                <i class="icon-tasks"></i> {l s='Manufacturers' mod='sniperfast'}</a>
                <a href="#suppliers" class="list-group-item {if $tab == 'suppliers'}active{/if}" data-toggle="tab" data-tab-sniperfast="9">
                <i class="icon-truck"></i> {l s='Suppliers' mod='sniperfast'}</a>
                <a href="#export" class="list-group-item {if $tab == 'export'}active{/if}" data-toggle="tab" data-tab-sniperfast="11">
                <i class="icon-bolt"></i> {l s='Export' mod='sniperfast'}</a>
                {if $show_utilities}
                <a href="#utilities" class="list-group-item {if $tab == 'utilities'}active{/if}" data-toggle="tab" data-tab-sniperfast="12">
                <i class="icon-keyboard"></i> {l s='Utilities' mod='sniperfast'}</a>
                {/if}
                {* <a href="#app" class="list-group-item {if $tab == 'app'}active{/if}" data-toggle="tab" data-tab-sniperfast="12">
                <i class="icon-mobile"></i> {l s='App' mod='sniperfast'}</a> *}
            {/if}
        </div>
    </div>
    <div class="sniperfast-container-contents tab-content col-lg-10">
        {if $licenseExists}
            <div id="sniperfast-expiration-summary" class="panel sniper-panel-export sniper_hidden">
                <div class="panel-heading">
                    {l s='Subscription\'s status' mod='sniperfast'}
                </div>
                <div class="content-wrapper">
                    <div id="sniperfast-expiration-upcoming" class="sniper_hidden">
                    {l s='Your subscription will expire' mod='sniperfast'} <span class="exp_days_text sniper_hidden">{l s='in' mod='sniperfast'} <span class="exp_days"></span> {l s='days' mod='sniperfast'}.</span><span class="exp_tomorrow sniper_hidden">{l s='tomorrow' mod='sniperfast'}.</span><span class="exp_today sniper_hidden">{l s='today' mod='sniperfast'}.</span><br>
                    {l s='Renew it now to prevent your customers from not having the SniperFast search results.' mod='sniperfast'}
                    </div>
                    <div id="sniperfast-expiration-past" class="sniper_hidden">
                    {l s='Your subscription has expired. Renew it now to keep taking advantage of the SniperFast search results.' mod='sniperfast'}</div>
                    <div id="sniperfast-expiration-msg" class="sniper_hidden"></div>
                    <div class="defaultForm form-horizontal">
                        <div class="form-wrapper">
                            <div class="form-group">
                                <label class="control-label col-lg-4">{l s='Hide backoffice reminder' mod='sniperfast'}</label>
                                <div class="col-lg-8">
                                    <span class="switch prestashop-switch fixed-width-lg">
                                        <input type="radio" name="hide_bowarn_enable" id="hide_bowarn_enable_on" value="1"{if $hideBoWarning eq 1} checked="checked"{/if}>
                                        <label for="hide_bowarn_enable_on">{l s='Yes' mod='sniperfast'}</label>
                                        <input type="radio" name="hide_bowarn_enable" id="hide_bowarn_enable_off" value="0"{if $hideBoWarning neq 1} checked="checked"{/if}>
                                        <label for="hide_bowarn_enable_off">{l s='No' mod='sniperfast'}</label>
                                        <a class="slide-button btn"></a>
                                    </span>
                                    <p class="help-block">{l s='If active, this option will disable the warning at the top right of your backoffice. The warning message will appear again 5 days before of the expiration date: if you disable it, it will appear again on the next day as a reminder.' mod='sniperfast'}</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="tab-pane {if $tab == 'general' or $tab == ''}active{/if}" id="general" data-content-sniperfast="1">
                [[general_content]]
            </div>
            <div class="tab-pane {if $tab == 'landing'}active{/if}" id="landing" data-content-sniperfast="15">
                [[landing_content]]
            </div>
            <div class="tab-pane {if $tab == 'features'}active{/if}" id="features" data-content-sniperfast="2">
                [[features_content]]
            </div>
            <div class="tab-pane {if $tab == 'attributes'}active{/if}" id="attributes" data-content-sniperfast="3">
                [[attributes_content]]
            </div>
            <div class="tab-pane {if $tab == 'products'}active{/if}" id="products" data-content-sniperfast="6">
                [[products_content]]
            </div>
            <div class="tab-pane {if $tab == 'categories'}active{/if}" id="categories" data-content-sniperfast="7">
                [[categories_content]]
            </div>
            <div class="tab-pane {if $tab == 'manufacturers'}active{/if}" id="manufacturers" data-content-sniperfast="8">
                [[manufacturers_content]]
            </div>
            <div class="tab-pane {if $tab == 'suppliers'}active{/if}" id="suppliers" data-content-sniperfast="9">
                [[suppliers_content]]
            </div>
            <div class="tab-pane {if $tab == 'export'}active{/if}" id="export" data-content-sniperfast="11">
                [[export_content]]
            </div>
            {if $show_utilities}
            <div class="tab-pane {if $tab == 'utilities'}active{/if}" id="utilities" data-content-sniperfast="12">
                [[utilities_content]]
            </div>
            {/if}
            {*
            <div class="tab-pane {if $tab == 'app'}active{/if}" id="app" data-content-sniperfast="12">
                [[app_content]]
            </div>
            *}
        {else}
            <div class="tab-pane {if $tab == 'general' or $tab == ''}active{/if}" id="general" data-content-sniperfast="1">
                <div class="panel sniper-panel-statistics sniper-panel-export">
                    {l s='Welcome to SniperFast, the instant e-commerce search engine!' mod='sniperfast'}<br>
                    {l s='In order to start your free trial period or recover your data register on' mod='sniperfast'} <a href="{$manager_endpoint|escape:'htmlall':'UTF-8'}" target="_blank">manager.sniperfast.com</a>. {l s='This will grant you access to advanced functionalities and reports.' mod='sniperfast'}<br />
                    {if $migrationToken == ''}
                        {l s='Login now to complete the upgrade procedure or export your first feed, if you are a new customer.' mod='sniperfast'}
                    {else}
                        {l s='Click the following button to add the new language and export your first feed.' mod='sniperfast'}
                    {/if}
                    <br />
                    <br />
                    <div class="list-info">
                        <div class="row sniper-utility-option">
                            {if $migrationToken == ''}
                                <div class="row sniper-utility-option">
                                    <div class="cell-left col-lg-3">{l s='You are registering this domain' mod='sniperfast'}</div>
                                    <div class="cell-right col-lg-9">
                                        <div style="margin-top: 4px;font-size: 16px;">{$current_domain|escape:'htmlall':'UTF-8'}</div>
                                    </div>
                                </div>
                                <div class="list-info">
                                    <div class="row sniper-utility-option">
                                        <div class="cell-left col-lg-3">Email</div>
                                        <div class="cell-right col-lg-9">
                                            <input type="text" class="form-control input fixed-width-xl" name="email">
                                        </div>
                                    </div>
                                </div>
                                <div class="list-info">
                                    <div class="row sniper-utility-option">
                                        <div class="cell-left col-lg-3">Password</div>
                                        <div class="cell-right col-lg-9">
                                            <input type="password" class="form-control input fixed-width-xl" name="password">
                                        </div>
                                    </div>
                                </div>
                            {else}
                                <span class="sniper_hidden" id="sniper_migration_token">{$migrationToken|escape:'htmlall':'UTF-8'}</span>
                            {/if}

                        </div>
                    </div>
                    <div class="row">
                        <div class="cell-left col-lg-3"></div>
                        <div class="cell-right col-lg-9">
                            <a class="btn btn-default input fixed-width-xl" id="submit-account">{l s='Register/Recover account' mod='sniperfast'}</a>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div id="sniper_first_export" class="panel sniper-panel-statistics sniper-panel-export sniper_hidden">
                        <div class="list-info">
                            <div class="row sniper-utility-option">
                                <div class="cell-left col-lg-3">{l s='My website is currently under development' mod='sniperfast'}</div>
                                <div class="cell-right col-lg-9">
                                    <span class="switch prestashop-switch fixed-width-lg">
                                        <input type="radio" name="is_in_development" id="is_in_development_on" value="1"{if $maintenance_mode} checked="checked" disabled{/if}>
                                        <label for="is_in_development_on">{l s='Yes' mod='sniperfast'}</label>
                                        <input type="radio" name="is_in_development" id="is_in_development_off" value="0"{if !$maintenance_mode} checked="checked"{else} disabled{/if}>
                                        <label for="is_in_development_off">{l s='No' mod='sniperfast'}</label>
                                        <a class="slide-button btn"></a>
                                    </span>
                                    {if $maintenance_mode}
                                        {l s='We detected that your website is in maintenance mode. Keep this option enabled so that we can elaborate your file properly.' mod='sniperfast'}
                                    {else}
                                        {l s='Keep this option enabled if your website is currently under development and/or requires a username and password to be accessed. In this way SniperFast will be able to elaborate your file properly.' mod='sniperfast'}
                                    {/if}
                                </div>
                            </div>
                            <div class="row sniper-utility-option">
                                <div class="cell-left col-lg-3"></div>
                                <div class="cell-right col-lg-9">
                                    <button type="button" class="btn btn-default input fixed-width-xl" id="snpf-onboard-startexport-contr">{l s='Start products export' mod='sniperfast'}</button>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div id="sniper_first_export_prods" class="col-lg-6 col-md-6 panel sniper-panel-statistics sniper-panel-export sniper_hidden">
                        <p>{l s='SniperFast will now export products from your website. Wait until the operation ends: a confirmation panel will appear.' mod='sniperfast'}</p>
                        <br />
                        <p>
                            {l s='This first export wil contain all the products currently enabled and visible on your website, so to enable filters for:' mod='sniperfast'}
                            <br>
                            <ul>
                                <li>{l s='Categories' mod='sniperfast'}</li>
                                <li>{l s='Manufacturers' mod='sniperfast'}</li>
                                <li>{l s='Price' mod='sniperfast'}</li>
                            </ul>
                            {l s='In order to show more filters feel free to enable the desired features and attributes within the respective module\'s tabs and perform a new export.' mod='sniperfast'}
                        </p>
                        <div class="list-info">
                            <div class="row sniper-utility-option">
                                <div class="cell-left col-lg-3">{l s='Export progress' mod='sniperfast'}</div>
                                <div class="cell-right col-lg-9">
                                    <table id="snpf-onboard-expstatus">
                                        <thead>
                                            <th>{l s='Language' mod='sniperfast'}</th>
                                            <th>{l s='Progress' mod='sniperfast'}</th>
                                            <th>{l s='Status' mod='sniperfast'}</th>
                                        </thead>
                                        <tbody>
                                        {foreach $langs as $lang}
                                            {if !$requires_conversion && $lang.id eq $sniper_shop_lang}
                                            <tr id="snpf-onboard-exportrow-{$lang.id|escape:'htmlall':'UTF-8'}" class="sniper_hidden">
                                                <td>{$lang.name|escape:'htmlall':'UTF-8'}</td>
                                                <td>
                                                    <input type="hidden" id="snpf-index-{$lang.id|escape:'htmlall':'UTF-8'}">
                                                    <input type="hidden" id="snpf-key-{$lang.id|escape:'htmlall':'UTF-8'}">
                                                    <input type="hidden" id="snpf-token-{$lang.id|escape:'htmlall':'UTF-8'}">
                                                    <input type="hidden" id="snpf-job-{$lang.id|escape:'htmlall':'UTF-8'}">
                                                    <div class="progress-bar-outer" id="export-progress-bar-light-{$lang.id|escape:'htmlall':'UTF-8'}" class="export-progress-bar-light" data-iso="{$lang.iso_code|escape:'htmlall':'UTF-8'}">
                                                        <div class="progress-bar-inner"></div>
                                                    </div>
                                                </td>
                                                <td><i class="sniperfast-icon-enabled sniper_hidden"></i><i class="sniperfast-icon-disabled sniper_hidden"></i></td>
                                            <tr>
                                            {/if}
                                        {/foreach}
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div id="sniper_prods_indexing" class="col-lg-6 col-md-6 panel sniper-panel-statistics sniper-panel-export sniper_hidden">
                        <p>{l s='Depending on how big the exported file is, it will take a few minutes before the feed will be elaborated by the system.' mod='sniperfast'}</p>
                        <div class="list-info">
                            <div class="row sniper-utility-option">
                                <div class="cell-left col-lg-3">{l s='Elaboration progress' mod='sniperfast'}</div>
                                <div class="cell-right col-lg-9">
                                    <table id="snpf-onboard-elabstatus">
                                        <thead>
                                            <th>{l s='Language' mod='sniperfast'}</th>
                                            <th>{l s='Progress' mod='sniperfast'}</th>
                                            <th>{l s='Status' mod='sniperfast'}</th>
                                        </thead>
                                        <tbody>
                                        {foreach $langs as $lang}
                                            <tr id="snpf-onboard-elabrow-{$lang.id|escape:'htmlall':'UTF-8'}" class="sniper_hidden">
                                                <td>{$lang.name|escape:'htmlall':'UTF-8'}</td>
                                                <td>
                                                    <div class="progress-bar-outer" id="elab-progress-bar-light-{$lang.id|escape:'htmlall':'UTF-8'}" class="elab-progress-bar-light">
                                                        <div class="progress-bar-inner"></div>
                                                    </div>
                                                </td>
                                                <td>
                                                    <div id="elab-progress-status-{$lang.id|escape:'htmlall':'UTF-8'}" class="elab-progress-status">
                                                        <div style="margin-top: 3px;">
                                                            <span class="last_job_status_ok last_job_status sniper_hidden">{l s='Indexing request completed' mod='sniperfast'}</span>
                                                            <span class="last_job_status_pending last_job_status sniper_hidden">{l s='Indexing request pending' mod='sniperfast'}</span>
                                                            <span class="last_job_status_working last_job_status sniper_hidden">{l s='Elaboration running' mod='sniperfast'}</span>
                                                            <span class="last_job_status_notfound last_job_status sniper_hidden">{l s='Indexing request not found (this can happen when the last file received by the system was equal to the previous one)' mod='sniperfast'}</span>
                                                        </div>
                                                    </div>
                                                    <i class="sniperfast-icon-enabled sniper_hidden"></i><i class="sniperfast-icon-disabled sniper_hidden"></i>
                                                </td>
                                            <tr>
                                        {/foreach}
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div id="sniper_first_export_done" class="panel sniper-panel-statistics sniper-panel-export sniper_hidden">
                    <p class="sniper_first_export_active_success sniper_hidden">
                        {l s='Well done! You have successfully completed the upgrade procedure.' mod='sniperfast'}<br />
                        {l s='You will now be able to configure the SniperFast\'s options from the new Manager.' mod='sniperfast'}<br />
                    </p>
                    <p class="sniper_first_export_success sniper_hidden">
                        {l s='Well done! The file has been successfully generated.' mod='sniperfast'}<br />
                        {l s='SniperFast features an automated procedure to recognize your search bar. Should your template not be recognized, return to the SniperFast Manager and go to the Configuration - Positioning tab. You will be able to fill in the required data.' mod='sniperfast'}<br />
                    </p>
                    <div class="list-info go-to-manager sniper_hidden">
                        <div class="row sniper-utility-option">
                            <div class="cell-left col-lg-3"></div>
                            <div class="cell-right col-lg-9 snpf_enable_now">{l s='You\'re almost done! Enable SniperFast for your customers now!' mod='sniperfast'}</div>
                        </div>
                        <div class="row sniper-utility-option">
                            <div class="cell-left col-lg-3">{l s='Enable' mod='sniperfast'}</div>
                            <div class="cell-right col-lg-9">
                            <span class="switch prestashop-switch fixed-width-lg">
                                <input type="radio" name="sniperfast_enable" id="sniperfast_enable_on" value="1">
                                <label for="sniperfast_enable_on">{l s='Yes' mod='sniperfast'}</label>
                                <input type="radio" name="sniperfast_enable" id="sniperfast_enable_off" value="0" checked="checked">
                                <label for="sniperfast_enable_off">{l s='No' mod='sniperfast'}</label>
                                <a class="slide-button btn"></a>
                            </span>
                            </div>
                        </div>
                        <div id="snpf-try-now-wrapper" class="row sniper-utility-option sniper_hidden">
                            <div class="cell-left col-lg-3"></div>
                            <div class="cell-right col-lg-9">
                                <a href="{$index_link|escape:'htmlall':'UTF-8'}" target="_blank" class="btn btn-default input " id="snpf-try-now">{l s='Try now!' mod='sniperfast'}</a>
                            </div>
                        </div>
                    </div>
                    <p class="sniper_first_export_error sniper_hidden">
                        {l s='WARNING! An error occurred while generating the file. Please contact the support so that Prestalia can investigate what caused the problem.' mod='sniperfast'}
                    </p>
                    <div id="go-to-module-footer" class="panel-footer sniper_hidden">
                        <button data-src="{$admin_link|escape:'htmlall':'UTF-8'}" id="snpf-go-to-module" name="snpf-go-to-module" class="btn btn-default pull-right">
                            {l s='Go to module' mod='sniperfast'}
                        </button>
                    </div>
                </div>
            </div>
        {/if}
    </div>
</div>
