{**
*  Copyright (C) Prestalia - All Rights Reserved
*
*  Unauthorized copying of this file, via any medium is strictly prohibited
*  Proprietary and confidential
*
*  @author    Prestalia <prestalia.it>
*  @copyright 2019 - 2024 Prestalia
*  @license   Closed source, proprietary software
*}

{if $iso == 'it'}
    {$link_docs="{$base_url|escape:'htmlall':'UTF-8'}modules/sniperfast/readme_IT.pdf"}
    {$link_addons="https://shop.prestalia.it/it/"}
    {$link_fastbay="https://shop.prestalia.it/it/moduli-ebay-e-marketplace-prestashop/158-modulo-fastbay-prestashop-15-e-16.html"}
    {$link_importebay="https://shop.prestalia.it/it/moduli-ebay-e-marketplace-prestashop/176-modulo-importa-prodotti-ebay-in-prestashop.html"}
    {$link_amazon="https://shop.prestalia.it/it/home/131-modulo-amazon-sync-marketplace-prestashop-16-17.html"}
    {$link_pack_danea="https://shop.prestalia.it/it/sincronizzazione-importa-esporta-danea-prestashop/182-sincronizza-prodotti-da-danea-a-prestashop.html"}
{else}
    {$link_docs="{$base_url|escape:'htmlall':'UTF-8'}modules/sniperfast/readme_EN.pdf"}
    {$link_addons="https://shop.prestalia.it/en/"}
    {$link_fastbay="https://shop.prestalia.it/en/ebay-and-marketplace-/158-fastbay-module-for-prestashop-15-e-16.html"}
    {$link_amazon="https://shop.prestalia.it/en/home/131-module-amazon-sync-marketplace-prestashop-16-17.html"}
    {$link_pack_danea="https://shop.prestalia.it/en/danea-prstashop-sync-import-export/182-export-products-from-danea-to-prestashop.html"}
{/if}

<!-- Prestalia Footer -->
<div id="mFoo">
    <div id="mFoo_menu">
        <div id="mFoo_logo">
            <img id="logo"src="{$base_url|escape:'htmlall':'UTF-8'}modules/sniperfast/views/img/prestalia_header/logo-prestalia.png"/>
            <img id="cert" src="{$base_url|escape:'htmlall':'UTF-8'}modules/sniperfast/views/img/prestalia_header/partner-agency.png"/>
        </div>
        <a title="{l s='Our modules' mod='sniperfast'}" id="btnAdvFoo" href="{$link_addons|escape:'htmlall':'UTF-8'}" target="_blank">
            <i></i><span>{l s='Our modules' mod='sniperfast'}</span>
        </a>
        <a title="{l s='Danea Easyfatt Import-Export Full Pack' mod='sniperfast'}" class="btnAdvBan" href="{$link_pack_danea|escape:'htmlall':'UTF-8'}" target="_blank">
            <img src="{$base_url|escape:'htmlall':'UTF-8'}modules/sniperfast/views/img/prestalia_header/modules-logos/logo-danea-fullpack.png"/><span>{l s='Danea Easyfatt Import-Export Full Pack' mod='sniperfast'}</span>
        </a>
        <a title="{l s='Amazon Sync - Synchronize with Amazon' mod='sniperfast'}" class="btnAdvBan" href="{$link_amazon|escape:'htmlall':'UTF-8'}" target="_blank">
            <img src="{$base_url|escape:'htmlall':'UTF-8'}modules/sniperfast/views/img/prestalia_header/modules-logos/logo-amazon.png"/><span>{l s='Amazon Sync - Synchronize with Amazon' mod='sniperfast'}</span>
        </a>
        <a title="{l s='Fastbay - Synchronize with eBay' mod='sniperfast'}" class="btnAdvBan" href="{$link_fastbay|escape:'htmlall':'UTF-8'}" target="_blank">
            <img src="{$base_url|escape:'htmlall':'UTF-8'}modules/sniperfast/views/img/prestalia_header/modules-logos/logo-fastbay.jpg"/><span>{l s='Fastbay - Synchronize with eBay' mod='sniperfast'}</span>
        </a>
    </div>
</div>

<div style="clear: both;"></div>

{*
{l s='Our modules on Addons' mod='sniperfast'}
*}
