<?php
/**
 *  Copyright (C) Prestalia - All Rights Reserved
 *  Unauthorized copying of this file, via any medium is strictly prohibited
 *  Proprietary and confidential
 *
 *  @author    Prestalia <prestalia.it>
 *  @copyright 2019 - 2024 Prestalia
 *  @license   Commercial
 */
if (!defined('_PS_VERSION_')) {
    exit;
}

$prefix = _DB_PREFIX_ . 'sniperfast_';

// app_orders not deleted to keep history on
// module reinstall
$tables = [
    'conf',
    'category',
    'product',
    'manufacturer',
    'supplier',
    'queue',
    'filters_position',
    'landing',
    'relevance_position',
];

foreach ($tables as $table) {
    $sql = "DROP TABLE IF EXISTS {$prefix}{$table}";

    if (Db::getInstance()->execute($sql) == false) {
        return false;
    }
}
