<?php
/**
 *  Copyright (C) Prestalia - All Rights Reserved
 *  Unauthorized copying of this file, via any medium is strictly prohibited
 *  Proprietary and confidential
 *
 *  @author    Prestalia <prestalia.it>
 *  @copyright 2015 - 2024 Prestalia
 *  @license   Commercial
 *
 *  @version   1.0.0
 */

namespace Prestalia\Sniperfast\ExclusiveLock;

if (!defined('_PS_VERSION_')) {
    exit;
}

interface LockInterface
{
    public function acquire($blocking = false);

    public function release();

    public function isAcquired();
}
