{**
*  Copyright (C) Prestalia - All Rights Reserved
*
*  Unauthorized copying of this file, via any medium is strictly prohibited
*  Proprietary and confidential
*
*  @author    Prestalia <prestalia.it>
*  @copyright 2019 - 2024 Prestalia
*  @license   Commercial
*}

{if $iso == 'it'}
    {$link_docs="{$base_url|escape:'htmlall':'UTF-8'}modules/sniperfast/readme_IT.pdf"}
    {$link_addons="https://shop.prestalia.it/it/"}
    {$link_support="http://support.prestalia.it"}
{else}
    {$link_docs="{$base_url|escape:'htmlall':'UTF-8'}modules/sniperfast/readme_EN.pdf"}
    {$link_addons="https://shop.prestalia.it/en/"}
    {$link_support="http://support.prestalia.it"}
{/if}

<!-- Prestalia Header -->
<div id="mHeader">
    <div id="mHeader_sx">
        <img src="{$base_url|escape:'htmlall':'UTF-8'}modules/sniperfast/views/img/prestalia_header/logo-name.png"/>
        <span id="module-version">v{$module_version|escape:'htmlall':'UTF-8'}</span>
    </div>

    <div id="mHeader_menu">
        <a title="{l s='Manual' mod='sniperfast'}" id="btnGuide" href="{$link_docs|escape:'htmlall':'UTF-8'}" target="_blank">
            <i></i><span>{l s='Manual' mod='sniperfast'}</span>
        </a>
        <a title="{l s='Support' mod='sniperfast'}" id="btnSupport" href="{$link_support|escape:'htmlall':'UTF-8'}" target="_blank">
            <i></i><span>{l s='Support' mod='sniperfast'}</span>
        </a>
        <a title="{l s='Our modules' mod='sniperfast'}" id="btnAdv" href="{$link_addons|escape:'htmlall':'UTF-8'}" target="_blank">
            <i></i><span>{l s='Our modules' mod='sniperfast'}</span>
        </a>
    </div>
</div>

<div style="clear: both;"></div>

{*
{l s='Our modules on Addons' mod='sniperfast'}
*}
