{**
*  Copyright (C) Prestalia - All Rights Reserved
*
*  Unauthorized copying of this file, via any medium is strictly prohibited
*  Proprietary and confidential
*
*  @author    Prestalia <prestalia.it>
*  @copyright 2019 - 2024 Prestalia
*  @license   Commercial
*}

{extends file='page.tpl'}

{block name='title'}Results{/block}

{block name='page_content'}
    <script type="text/javascript">
        var sniper_land_params = "{$land_search_params|escape:'htmlall':'UTF-8'}";

        document.title = "{$meta_title|escape:'htmlall':'UTF-8'}";
        if (document.querySelector('meta[name="description"]') !== null) {
            document.querySelector('meta[name="description"]').setAttribute("content", "{$meta_description|escape:'htmlall':'UTF-8'}");
        }
    </script>

    {if $image != ''}
        <span class="snpf-landing-img snpf_img_hidden">{$image|escape:'htmlall':'UTF-8'}</span>
        <br>
    {/if}
    <h1>{$title|escape:'htmlall':'UTF-8'}</h1>
    {$description|escape:'htmlall':'UTF-8'}

    <div id="sniperfast_search_container"></div>
{/block}
